# Company

## GET /api/v1/dashboard/company/jobs/

> List all jobs for the logged-in company.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"JobList":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"company_name":{"type":"string","readOnly":true},"company_logo":{"type":"string","readOnly":true},"title":{"type":"string","maxLength":75},"experience":{"type":"string","nullable":true,"maxLength":20},"job_description":{"type":"string","nullable":true},"location":{"type":"string","nullable":true,"maxLength":75},"salary_range":{"type":"string","nullable":true,"maxLength":36},"job_type":{"type":"string","maxLength":20},"status":{"type":"string","maxLength":20},"duration_value":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"duration_unit":{"type":"string","nullable":true,"maxLength":20},"hourly_rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","nullable":true},"deliverables":{"nullable":true},"stipend":{"type":"string","nullable":true,"maxLength":75},"certificate_provided":{"type":"string","nullable":true,"maxLength":3},"rules":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"},"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["company_logo","company_name","created_at","job_type","rules","title"]},"JobRule":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"rule_type":{"type":"string","maxLength":50},"rule_value":{"type":"string","maxLength":150}},"required":["id","rule_type","rule_value"]}}},"paths":{"/api/v1/dashboard/company/jobs/":{"get":{"operationId":"dashboard_company_jobs_list","description":"List all jobs for the logged-in company.","tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/JobList"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/company/jobs/{job\_id}/

> Delete a specific job.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/company/jobs/{job_id}/":{"delete":{"operationId":"dashboard_company_jobs_destroy","description":"Delete a specific job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["Company"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/company/jobs/{job\_id}/

> Update a specific job.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"PatchedJobUpdate":{"type":"object","properties":{"title":{"type":"string","maxLength":75},"experience":{"type":"string","nullable":true,"maxLength":20},"job_description":{"type":"string","nullable":true},"location":{"type":"string","nullable":true,"maxLength":75},"salary_range":{"type":"string","nullable":true,"maxLength":36},"job_type":{"type":"string","maxLength":20},"status":{"type":"string","maxLength":20},"duration_value":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"duration_unit":{"type":"string","nullable":true,"maxLength":20},"hourly_rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","nullable":true},"deliverables":{"nullable":true},"stipend":{"type":"string","nullable":true,"maxLength":75},"certificate_provided":{"type":"string","nullable":true,"maxLength":3},"rules":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"}}}},"JobRule":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"rule_type":{"type":"string","maxLength":50},"rule_value":{"type":"string","maxLength":150}},"required":["id","rule_type","rule_value"]},"JobUpdate":{"type":"object","properties":{"title":{"type":"string","maxLength":75},"experience":{"type":"string","nullable":true,"maxLength":20},"job_description":{"type":"string","nullable":true},"location":{"type":"string","nullable":true,"maxLength":75},"salary_range":{"type":"string","nullable":true,"maxLength":36},"job_type":{"type":"string","maxLength":20},"status":{"type":"string","maxLength":20},"duration_value":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"duration_unit":{"type":"string","nullable":true,"maxLength":20},"hourly_rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","nullable":true},"deliverables":{"nullable":true},"stipend":{"type":"string","nullable":true,"maxLength":75},"certificate_provided":{"type":"string","nullable":true,"maxLength":3},"rules":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"}}},"required":["job_type","title"]}}},"paths":{"/api/v1/dashboard/company/jobs/{job_id}/":{"patch":{"operationId":"dashboard_company_jobs_partial_update","description":"Update a specific job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["Company"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedJobUpdate"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PatchedJobUpdate"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PatchedJobUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/JobUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/company/jobs/{job\_id}/applications/

> List all applications for a specific job.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ApplicationTracking":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"job":{"type":"string","readOnly":true},"applicant_name":{"type":"string","readOnly":true},"applicant_email":{"type":"string","readOnly":true},"resume_link":{"type":"string","readOnly":true,"nullable":true},"cover_letter":{"type":"string","readOnly":true,"nullable":true},"status":{"type":"string","maxLength":20},"rejection_reason":{"type":"string","nullable":true},"applied_at":{"type":"string","format":"date-time","readOnly":true}},"required":["applicant_email","applicant_name","applied_at","cover_letter","id","job","resume_link"]}}},"paths":{"/api/v1/dashboard/company/jobs/{job_id}/applications/":{"get":{"operationId":"dashboard_company_jobs_applications_list","description":"List all applications for a specific job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationTracking"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/company/jobs/{job\_id}/apply/

> Apply to a job.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"JobApplication":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"job":{"type":"string"},"resume_link":{"type":"string","nullable":true},"cover_letter":{"type":"string","nullable":true},"status":{"type":"string","readOnly":true}},"required":["id","job","status"]}}},"paths":{"/api/v1/dashboard/company/jobs/{job_id}/apply/":{"post":{"operationId":"dashboard_company_jobs_apply_create","description":"Apply to a job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["Company"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobApplication"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/JobApplication"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/JobApplication"}}},"required":true},"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/company/profile/

> Retrieve the profile of a verified company.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CompanyDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"company_user_name":{"type":"string","readOnly":true},"company_user_email":{"type":"string","readOnly":true},"district_name":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"logo":{"type":"string","nullable":true},"description":{"type":"string"},"short_pitch":{"type":"string","nullable":true,"maxLength":900},"industry_sector":{"type":"string","nullable":true,"maxLength":75},"website_link":{"type":"string","nullable":true},"email":{"type":"string","nullable":true,"maxLength":100},"slug":{"type":"string","maxLength":100},"status":{"type":"string","maxLength":30},"location":{"type":"string","nullable":true,"maxLength":150},"legal_name":{"type":"string","nullable":true,"maxLength":150},"registration_number":{"type":"string","nullable":true,"maxLength":100},"tax_id":{"type":"string","nullable":true,"maxLength":100},"company_size":{"type":"string","nullable":true,"maxLength":50},"linkedin_url":{"type":"string","nullable":true},"verification_document_url":{"type":"string","nullable":true},"verification_requested_at":{"type":"string","format":"date-time","nullable":true},"verified_at":{"type":"string","format":"date-time","nullable":true},"verified_by":{"type":"string","nullable":true,"maxLength":36},"rejection_reason":{"type":"string","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true},"deleted_at":{"type":"string","format":"date-time","nullable":true},"updated_by":{"type":"string","nullable":true,"maxLength":36},"deleted_by":{"type":"string","nullable":true,"maxLength":36},"founded_year":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"remote_policy":{"type":"string","nullable":true,"maxLength":20},"culture_text":{"type":"string","nullable":true},"tech_stack":{"nullable":true},"perks":{"nullable":true},"testimonials":{"nullable":true},"gallery":{"nullable":true},"company_user":{"type":"string"},"district":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"required":["company_user","company_user_email","company_user_name","created_at","description","district_name","name","slug","updated_at"]}}},"paths":{"/api/v1/dashboard/company/profile/":{"get":{"operationId":"dashboard_company_profile_retrieve","description":"Retrieve the profile of a verified company.","tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CompanyDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/company/profile/

> Update the profile of a verified company.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"PatchedCompanyUpdate":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"logo":{"type":"string","nullable":true},"description":{"type":"string"},"short_pitch":{"type":"string","nullable":true,"maxLength":900},"industry_sector":{"type":"string","nullable":true,"maxLength":75},"website_link":{"type":"string","nullable":true},"email":{"type":"string","nullable":true,"maxLength":100},"location":{"type":"string","nullable":true,"maxLength":150},"district_id":{"type":"string","nullable":true},"state_id":{"type":"string","nullable":true},"country_id":{"type":"string","nullable":true},"legal_name":{"type":"string","nullable":true,"maxLength":150},"registration_number":{"type":"string","nullable":true,"maxLength":100},"tax_id":{"type":"string","nullable":true,"maxLength":100},"company_size":{"type":"string","nullable":true,"maxLength":50},"linkedin_url":{"type":"string","nullable":true},"founded_year":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"remote_policy":{"type":"string","nullable":true,"maxLength":20},"culture_text":{"type":"string","nullable":true},"tech_stack":{"nullable":true},"perks":{"nullable":true},"testimonials":{"nullable":true},"gallery":{"nullable":true}}},"CompanyUpdate":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"logo":{"type":"string","nullable":true},"description":{"type":"string"},"short_pitch":{"type":"string","nullable":true,"maxLength":900},"industry_sector":{"type":"string","nullable":true,"maxLength":75},"website_link":{"type":"string","nullable":true},"email":{"type":"string","nullable":true,"maxLength":100},"location":{"type":"string","nullable":true,"maxLength":150},"district_id":{"type":"string","nullable":true},"state_id":{"type":"string","nullable":true},"country_id":{"type":"string","nullable":true},"legal_name":{"type":"string","nullable":true,"maxLength":150},"registration_number":{"type":"string","nullable":true,"maxLength":100},"tax_id":{"type":"string","nullable":true,"maxLength":100},"company_size":{"type":"string","nullable":true,"maxLength":50},"linkedin_url":{"type":"string","nullable":true},"founded_year":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"remote_policy":{"type":"string","nullable":true,"maxLength":20},"culture_text":{"type":"string","nullable":true},"tech_stack":{"nullable":true},"perks":{"nullable":true},"testimonials":{"nullable":true},"gallery":{"nullable":true}},"required":["description","name"]}}},"paths":{"/api/v1/dashboard/company/profile/":{"patch":{"operationId":"dashboard_company_profile_partial_update","description":"Update the profile of a verified company.","tags":["Company"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedCompanyUpdate"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PatchedCompanyUpdate"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PatchedCompanyUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CompanyUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/company/profile/public/{slug}/

> Public endpoint to view a company's profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"PublicCompanyProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"slug":{"type":"string","maxLength":100},"logo":{"type":"string","nullable":true},"description":{"type":"string"},"short_pitch":{"type":"string","nullable":true,"maxLength":900},"industry_sector":{"type":"string","nullable":true,"maxLength":75},"website_link":{"type":"string","nullable":true},"email":{"type":"string","nullable":true,"maxLength":100},"location":{"type":"string","nullable":true,"maxLength":150},"district_name":{"type":"string","readOnly":true},"state_name":{"type":"string","readOnly":true},"country_name":{"type":"string","readOnly":true},"company_size":{"type":"string","nullable":true,"maxLength":50},"linkedin_url":{"type":"string","nullable":true},"founded_year":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"remote_policy":{"type":"string","nullable":true,"maxLength":20},"culture_text":{"type":"string","nullable":true},"tech_stack":{"nullable":true},"perks":{"nullable":true},"testimonials":{"nullable":true},"gallery":{"nullable":true}},"required":["country_name","description","district_name","name","slug","state_name"]}}},"paths":{"/api/v1/dashboard/company/profile/public/{slug}/":{"get":{"operationId":"dashboard_company_profile_public_retrieve","description":"Public endpoint to view a company's profile.","parameters":[{"in":"path","name":"slug","schema":{"type":"string"},"required":true}],"tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/PublicCompanyProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/company/profile/public/{slug}/jobs/

> Public endpoint to view all active jobs for a specific company.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"JobList":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"company_name":{"type":"string","readOnly":true},"company_logo":{"type":"string","readOnly":true},"title":{"type":"string","maxLength":75},"experience":{"type":"string","nullable":true,"maxLength":20},"job_description":{"type":"string","nullable":true},"location":{"type":"string","nullable":true,"maxLength":75},"salary_range":{"type":"string","nullable":true,"maxLength":36},"job_type":{"type":"string","maxLength":20},"status":{"type":"string","maxLength":20},"duration_value":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"duration_unit":{"type":"string","nullable":true,"maxLength":20},"hourly_rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","nullable":true},"deliverables":{"nullable":true},"stipend":{"type":"string","nullable":true,"maxLength":75},"certificate_provided":{"type":"string","nullable":true,"maxLength":3},"rules":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"},"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["company_logo","company_name","created_at","job_type","rules","title"]},"JobRule":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"rule_type":{"type":"string","maxLength":50},"rule_value":{"type":"string","maxLength":150}},"required":["id","rule_type","rule_value"]}}},"paths":{"/api/v1/dashboard/company/profile/public/{slug}/jobs/":{"get":{"operationId":"dashboard_company_profile_public_jobs_list","description":"Public endpoint to view all active jobs for a specific company.","parameters":[{"in":"path","name":"slug","schema":{"type":"string"},"required":true}],"tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/JobList"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/company/tasks/

> List all tasks submitted by the authenticated company user (filtered by requested\_by). Supports pagination, search, and sort.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CompanyTaskListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","additionalProperties":{}}},"pagination":{"type":"object","additionalProperties":{}}},"required":["data","pagination"]}}},"paths":{"/api/v1/dashboard/company/tasks/":{"get":{"operationId":"dashboard_company_tasks_retrieve","description":"List all tasks submitted by the authenticated company user (filtered by requested_by). Supports pagination, search, and sort.","parameters":[{"in":"query","name":"approval_status","schema":{"type":"string"},"description":"Filter by approval_status: pending | approved | rejected"}],"tags":["Company"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CompanyTaskListResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
